Вход:  Пароль:  
FreeSource: AltLinux/Sisyphus/devel/spectips/VersionHacks ...
Free Source | Каталог | Изменения | НовыеКомментарии | Пользователи | Регистрация |
Это старая версия AltLinux/Sisyphus/devel/spectips/VersionHacks за 2005-04-29 14:45:06..

Иногда при сборке rpm-пакетов требуется использовать конкретные версии gcc, autoconf, automake. Для этого в rpm существуют специальные макросы:


%set_gcc_version
%set_autoconf_version
%set_automake_version


Вместе с использованием этих макросов надо также устанавливать соответствующие сборочные зависимости.


Пример
Пусть для сборки некоторого пакета требуются autoconf-2.59, automake-1.7.9 и gcc-3.3.3. Тогда в spec-файле в сборочных зависимостях надо указать


Build Pre Req?: autoconf_2.5, automake_1.7, gcc3.3


а в секции %build до перегенерации Makefile.in, configure и вызова %configure


%set_autoconf_version 2.5
%set_automake_version 1.7
%set_gcc_version 3.3.3


 
Файлов нет. [Показать файлы/форму]
Комментариев нет. [Показать комментарии/форму]